Application Health Check

The Health Check API allows you to retrieve and manage the health status configuration for the protected resources of an application.

Retrieve the application health check configuration

Retrieves a health check configuration for an application

Request
path Parameters
applicationId
required
string <uuid>

Identifier of the application

Responses
200

Success

400

Bad Request

401

Unauthorized

403

Forbidden

404

Not Found

429

Too Many Requests

get/api/v2/apps/{applicationId}/health-check
Request samples
Response samples
application/json
{
  • "enabled": false,
  • "path": "/",
  • "method": "GET",
  • "statusCode": 200,
  • "interval": 10,
  • "timeout": 1,
  • "healthyThreshold": 3,
  • "unhealthyThreshold": 3
}

Replace the application health check configuration

Replaces the health check configuration for an application in Access Gateway

Use this endpoint to define health check settings to monitor application availability.

Request
path Parameters
applicationId
required
string <uuid>

Identifier of the application

Request Body schema: application/json
required
enabled
boolean
Default: false

Whether health checks are allowed for protected resource URLs in load balanced applications. Health checks are allowed if enabled is true.

healthyThreshold
integer [ 1 .. 10 ]
Default: 3

Number of successful responses that must be returned before a host is considered healthy

interval
integer [ 2 .. 300 ]
Default: 10

Interval between health check requests (in seconds)

method
string
Default: "GET"

HTTP request method for health checks. GET is the only supported method.

Value: "GET"
path
string
Default: "/"

The URI path to the resource that's used in health checks

statusCode
integer
Default: 200

HTTP response status code that web resources return as part of a successful health check

timeout
integer [ 1 .. 60 ]
Default: 1

The amount of time, in seconds, that a health check HTTP request can take before it's considered a failure

unhealthyThreshold
integer [ 1 .. 10 ]
Default: 3

Number of unsuccessful responses that must be returned before a host is considered unhealthy

Responses
200

Health check configuration updated successfully

400

Bad Request

401

Unauthorized

403

Forbidden

404

Not Found

429

Too Many Requests

put/api/v2/apps/{applicationId}/health-check
Request samples
application/json
{
  • "enabled": false,
  • "path": "/",
  • "method": "GET",
  • "statusCode": 200,
  • "interval": 10,
  • "timeout": 1,
  • "healthyThreshold": 3,
  • "unhealthyThreshold": 3
}
Response samples
application/json
{
  • "enabled": false,
  • "path": "/",
  • "method": "GET",
  • "statusCode": 200,
  • "interval": 10,
  • "timeout": 1,
  • "healthyThreshold": 3,
  • "unhealthyThreshold": 3
}